/*
 *	PROTOS.H
 *	Tom Kerrigan's Simple Chess Program (TSCP)
 *
 *	Copyright 1997 Tom Kerrigan
 *
 *  Traduccion al castellano por Jose Carlos Martinez Galan
 *	por sugerencia de Roger Davis
 *
 */


/* prototipos */

/* board.c */
void init();
BOOL in_check(int s);
BOOL attack(int sq, int s);
void gen();
void gen_caps();
void gen_push(int from, int to, int bits);
void gen_promote(int from, int to, int bits);
BOOL makemove(move_bytes m);
void takeback();

/* search.c */
void think(int skill, BOOL quiet);
int search(int alpha, int beta, int depth);
int quiesce(int alpha, int beta);
void sort_pv();
void sort(int from);

/* eval.c */
int eval();
int eval_light_pawn(int sq);
int eval_dark_pawn(int sq);
int eval_light_king(int sq);
int eval_dark_king(int sq);

/* main.c */
void main();
void print_move(move_bytes m);
void print_board();
void xboard();
void bench();
long get_ms();
